Last Comment Bug 705466 - Use MOZ_CHECK_HEADERS to check for cpuid.h
: Use MOZ_CHECK_HEADERS to check for cpuid.h
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla11
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
Mentors:
Depends on: 705461
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-26 11:11 PST by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2011-11-29 04:55 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use MOZ_CHECK_HEADERS to check for cpuid.h (7.70 KB, patch)
2011-11-26 11:11 PST, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
ted: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-11-26 11:11:43 PST
Created attachment 577091 [details] [diff] [review]
Use MOZ_CHECK_HEADERS to check for cpuid.h

We currently use __GNUC__ and __GNUC_MINOR__, which fails for clang.

While this bug depends on 705461 for check-in, it should be trivial to review in parallel, so *please* don't wait for that one to be closed first :-)
Comment 1 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-11-28 11:30:31 PST
Now that 705461 landed, a try is at

https://tbpl.mozilla.org/?tree=Try&rev=1613612988ac
Comment 2 Ted Mielczarek [:ted.mielczarek] 2011-11-28 11:57:43 PST
Comment on attachment 577091 [details] [diff] [review]
Use MOZ_CHECK_HEADERS to check for cpuid.h

Review of attachment 577091 [details] [diff] [review]:
-----------------------------------------------------------------

::: build/autoconf/mozcommonheader.m4
@@ +42,5 @@
> +	MOZ_CHECK_HEADERS(gnu/libc-version.h nl_types.h)
> +	MOZ_CHECK_HEADERS(malloc.h)
> +	MOZ_CHECK_HEADERS(X11/XKBlib.h)
> +	MOZ_CHECK_HEADERS(io.h)
> +	MOZ_CHECK_HEADERS(cpuid.h)

Can you either move these all into one MOZ_CHECK_HEADERS invocation, or move it to one-header-per-invocation? The mix here is weird (and probably historical).
Comment 3 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-11-28 12:35:40 PST
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=7c4eadbd0b78
Comment 4 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-11-29 04:55:55 PST
https://hg.mozilla.org/mozilla-central/rev/7c4eadbd0b78

Note You need to log in before you can comment on or make changes to this bug.